%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pyPdf
Version:        1.13
Release:        7%{?dist}
Summary:        PDF toolkit

Group:          Development/Languages
License:        BSD
URL:            http://pybrary.net/pyPdf/
Source0:        http://pybrary.net/pyPdf/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

%description
A Pure-Python library built as a PDF toolkit. It is capable of:
 * extracting document information (title, author, ...),
 * splitting documents page by page,
 * merging documents page by page,
 * cropping pages,
 * merging multiple pages into a single page,
 * encrypting and decrypting PDF files.

%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README CHANGELOG
%{python_sitelib}/pyPdf*


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 27 2010 Felix Schwarz <felix.schwarz@oss.schwarz.eu> 1.13-1
- update to 1.13

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.12-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.12-2
- Rebuild for Python 2.6

* Mon Sep 15 2008 Felix Schwarz <felix.schwarz@oss.schwarz.eu> 1.12-1
- update to 1.12

* Sun Jun 15 2008 Felix Schwarz <felix.schwarz@oss.schwarz.eu> 1.11-1
- update to 1.11

* Tue Apr 01 2008 Felix Schwarz <felix.schwarz@oss.schwarz.eu> 1.10-4
- added CHANGELOG to doc, more specific file list

* Thu Mar 27 2008 Felix Schwarz <felix.schwarz@oss.schwarz.eu> 1.10-3
- removed unnecessary python_sitearch macro declaration

* Tue Mar 25 2008 Felix Schwarz <felix.schwarz@oss.schwarz.eu> 1.10-2
- fixed spec file naming and license tag

* Tue Mar 25 2008 Felix Schwarz <felix.schwarz@oss.schwarz.eu> 1.10-1
- Initial spec file creation

